***************************************************************         00001000
* MODULE NAME = CUN7171 - 7171 term tables prepared on host.            00002000
* DESCRIPTIVE NAME = TERMINAL DEPENDENT INFORMATION           *         00003000
* COPYRIGHT = NONE (SAMPLE TABLES, SUBJECT TO USER CHANGES)   *         00004000
* PROCESSOR = HOST ASSEMBLE H                                           00005000
*                                                             *         00006000
* PROGRAMMING NOTE: ONLY EADS-RELATED STATEMENTS              *         00007000
*    (EADSTERM, EADSCSS, AND EADSNODE)                        *         00008000
* AND LISTING CONTROL STATEMENTS                              *         00009000
*    (TITLE, EJECT, AND SPACE)                                *         00010000
* CAN APPEAR BETWEEN THE FIRST AND LAST EADSTERM MACRO        *         00011000
* IN PARTICULAR, OTHER COMMON STATEMENTS                      *         00012000
*    (CSECT, ENTRY, EXTRN, EQU, AND DC)                       *         00013000
* SHOULD APPEAR EITHER AT THE VERY BEGINNING OF THE           *         00014000
* ASSEMBLY OR AT THE VERY END.                                *         00015000
* Note that this file contains lower case letters that must   *         00016000
*    be maintained as such. Be careful.                       *         00017000
***************************************************************         00018000
*                                                                       00019000
*  Costs of various operations on RAM storage:                          00020000
*  The act of adding a terminal name to be displayed costs 10 bytes     00021000
*     of RAM storage (per operand on EADSTYPE macro other than          00022000
*     carrage control, which has a cost of 2 bytes per carrage          00023000
*     control operand).                                                 00024000
*  The act of adding a terminal definition which uses completely        00025000
*     previously existing CSS strings and parse tables (by using        00026000
*     both of the first two positional parameters on EADSTERM)          00027000
*     is 18 bytes of RAM storage.                                       00028000
*  The act of adding a terminal definition which uses an existing       00029000
*     input string table (the first positional parm on EADSTERM)        00030000
*     is 18+(38) bytes of RAM storage + the storage for any new         00031000
*     CSS strings that are added.                                       00032000
*  A CSS string costs 1 terminator byte + the size of the string.       00033000
*  A EADSCSS macro using the EQU= option costs nothing!                 00034000
*  An input parse table has a cost of 4 bytes of RAM storage per        00035000
*     EADSNODE macro coded plus any CSS strings added.                  00036000
*  A new SGR string costs 10 bytes of RAM storage.                      00037000
*                                                                       00038000
*  Clearly, from the above costs, it is best to re-use as many of       00039000
*     the strings as possible and to always attempt to use a string     00040000
*     which resides in the ROM first if possible.                       00041000
*                                                                       00042000
** Rename CUN7171 and alter to suit needs of Cornell.                   00043000
**    Nick Gimbrone, Cornell University, 6/85.                          00044000
         COPY  MAC71                                                    00045490
         TITLE 'TERMTYPS - 7171 TERMINAL TYPES LIST'                    00046000
*        All IBM supplied terminal defs are unmodified.                 00047000
*        There also exists for each IBM term def a def with CU          00048000
*        last two characters, allowing us to alter any of the           00049000
*        defs at any time without serious documentation problems.       00050000
* add IBMPC and IBMPCCU                                         EC31864 00051890
         TERMTYPS ADM3A,ADM3ACU,ADM31,ADM31CU,CYBERNEX,C19,DM1520,DM152+00052780
               0CU,+                                            EC31864 00053670
         TERMTYPS DM1521,DM1521CU,DM1528,DM3045,DM3045CU,GIGI,HEATH19,I+00054560
               BM3101,+                                         EC31864 00055450
         TERMTYPS IBM310CU,IBM316X,MACTERM,MAC71,ROLM3270,ROLM32CU,TVI9+00056340
               12,TVI912CU,+                                    EC31864 00057230
         TERMTYPS TVI920,TVI920CU,TVI950,TVI950CU,TVI950R,TVI95RCU,VP60+00058120
               ,VT52,+                                          EC31864 00059010
         TERMTYPS VT100,VT100CU,-                               EC31864 00059900
         TERMTYPS HARDCOPY,HARDCOCU,PLOTTER,PLOTTECU,TYPETERM,TERMTYCU,+00061000
               ZENITH19                                                 00062000
         TITLE   'Set Graphic Rendition control chars'                  00063000
GIGISGR  DC    X'00323134',X'37000004',X'0007'                          00064000
VT52SGR  DC    X'71717171',X'71717170',X'7170'                          00065000
MAC71SGR DC    X'0102030405',X'0102030405'                              00065500
C19SGR   DC    X'5354555657',X'5354555657'                              00065600
*                S T U V W                 in ASCII                     00065700
         TITLE   'RCHRS - Reset CHaRacterS'                             00066000
DM28RCHR EADSCSS NONE,BEL,NONE,NONE,NONE,XON,DC3,NULL                   00067000
*          cntrl      G                  Q   S   sp                     00068000
MACRCHRS EADSCSS NONE,BEL,DC2,DC4,NONE,XON,DC3,ETB                      00069000
*          cntrl      G   R   T        Q   S   W                        00070000
         TITLE   'Common EADS-CSS strings'                              00073000
*        All CSS strings used in more than 1 place appear here.         00074000
*        (This does not include entire sets of CSS sequences that       00075000
*        are defined in one term def and used in 1 or more others.)     00076000
*        In order to keep RAM storage at a minimum, it is suggested     00077000
*        than any time a CSS string is to be added you first check to   00078000
*        verify that such a string does not already exist. If one does  00079000
*        then move it here and change the original terminal def and the 00080000
*        new def to use it with the ' EADSCSS EQU=label' form.          00081000
CSS_BEL  EADSCSS BEL                             TONE                   00082000
CSS_BS   EADSCSS BS                              CURSOR LEFT            00083000
CSS_COLO EADSCSS COLON                           ILLEGAL CHARACTER      00084000
*        unfortunatly, NULL will simply force full addressing seq...    00086000
CSS_CRR1 EADSCSS ESC,LBRACK,C                    CURSOR RIGHT           00087000
CSS_CRR2 EADSCSS ESC,C                           CURSOR RIGHT           00088000
CSS_CLR1 EADSCSS ESC,H,ESC,J                     CLEAR                  00089000
CSS_CLR2 EADSCSS ESC,LBRACK,H,ESC,LBRACK,J       CLEAR            VP60  00089300
CSS_CLR3 EADSCSS FF                              CLEAR            VP60  00089600
*                                                disconnect             00090000
CSS_DELS EADSCSS DEL,DEL,DEL,DEL,DEL,DEL,DEL,DEL,                      +00091000
               DEL,DEL,DEL,DEL,DEL,DEL,DEL,DEL                          00092000
CSS_DSP1 EADSCSS ESC,LBRACK,(CHARFLD),LCM        display mode           00093000
CSS_EEL1 EADSCSS ESC,K                           ERASE EOL              00094000
CSS_EEL2 EADSCSS ESC,LBRACK,K                    ERASE EOL              00095000
CSS_NULL EADSCSS ,                               NULL CSS               00096000
CSS_RPS1 EADSCSS ESC,Y,(BINY),(BINX)             POSITION               00097000
CSS_RPS2 EADSCSS ESC,LBRACK,(CHARY),SEMI,(CHARX),H POSITION             00098000
CSS_SGR1 EADSCSS ESC,(BINFLD)                    Display Mode           00098040
         TITLE 'C19 - Cornell C19 by DCogger (H19 family)'              00098080
C19      EADSTERM C19I,FLAGS=X'0C00',SGR=C19SGR                 C19CHG3 00098150
         EADSCSS EQU=CSS_RPS1                    POSITION               00098160
         EADSCSS EQU=CSS_EEL1                    ERASE EOL              00098200
         EADSCSS EQU=CSS_NULL                    local print            00098240
         EADSCSS EQU=CSS_BEL                     TONE                   00098280
         EADSCSS EQU=CSS_BS                      CURSOR LEFT            00098320
         EADSCSS EQU=CSS_CRR2                    CURSOR RIGHT           00098360
         EADSCSS EQU=CSS_NULL  7171 doesn't use  CURSOR UP              00098400
         EADSCSS EQU=CSS_NULL  7171 doesn't use  CURSOR DOWN            00098440
         EADSCSS ESC,LCX,@4                      SIGNAL INSERT MODE     00098480
         EADSCSS ESC,LCY,@4                      SIGNAL END INSERT MODE 00098520
         EADSCSS EQU=CSS_NULL                    DISCONNECT             00098560
         EADSCSS EQU=CSS_CLR1                    CLEAR                  00098600
         EADSCSS ESC,H,ESC,J,ESC,EQUAL,ESC,LCY,@4      Init             00098640
*                home  eeos  alt-key   exit_insert                      00098680
         EADSCSS EQU=CSS_COLO                    ILLEGAL CHARACTER      00098720
         EADSCSS EQU=CSS_NULL                    APL ILLEGAL CHARACTER  00098760
         EADSCSS EQU=CSS_NULL                    APL chars ON           00098800
         EADSCSS EQU=CSS_NULL                    APL chars OFF          00098840
         EADSCSS EQU=CSS_SGR1                    Display Mode           00098880
         EADSCSS EQU=CSS_CLR1                    Alt-Clr        EC31864 00098925
C19I     EADSNODE ESC,GOTO,C19ESC                               C19CHG2 00098930
         EADSNODE OTHERS,GOTO,VT52I                             C19CHG2 00098940
C19ESC   EADSNODE QUESTION,GOTO,C19ESC2                         C19CHG2 00098950
         EADSNODE OTHERS,GOTO,VT52ESC                           C19CHG2 00098960
C19ESC2  EADSNODE DEL,CALL,EINP                                 C19CHG2 00098970
         EADSNODE OTHERS,GOTO,VT52EQ                            C19CHG2 00098980
         TITLE   'DM1528 - A re-wired DM1521'                           00099000
DM1528   EADSTERM  DM1528I,RCHRS=DM28RCHR                               00100000
         EADSCSS RS,(BINX),(BINY)                POSITION               00101000
         EADSCSS GS                              ERASE EOL              00102000
         EADSCSS VT                              local print            00103000
         EADSCSS EQU=CSS_BEL                     TONE                   00104000
         EADSCSS EQU=CSS_BS                      CURSOR LEFT            00105000
         EADSCSS FS                              CURSOR RIGHT           00106000
         EADSCSS EQU=CSS_NULL  7171 doesn't use  CURSOR UP              00107000
         EADSCSS EQU=CSS_NULL  7171 doesn't use  CURSOR DOWN            00108000
*        turn the PR light on and off for insert mode                   00109000
         EADSCSS SO                              SIGNAL INSERT MODE     00110000
         EADSCSS SI                              SIGNAL END INSERT MODE 00111000
*        pad disconnect seq so sytek writes all logoff msgs             00112000
         EADSCSS EQU=CSS_DELS                    disconnect             00113000
         EADSCSS EQU=CSS_CLR3                    CLEAR            VP60  00114490
*        turn PR (insert flag) light off too.                           00115000
         EADSCSS FF,SI                           Init                   00116000
         EADSCSS EQU=CSS_COLO                    ILLEGAL CHARACTER      00117000
         EADSCSS LCN,BS,LCZ                      APL ILLEGAL CHARACTER  00118000
         EADSCSS EQU=CSS_NULL                    APL chars ON           00119000
         EADSCSS EQU=CSS_NULL                    APL chars OFF          00120000
         EADSCSS EQU=CSS_NULL                    display mode           00121000
         EADSCSS EQU=CSS_CLR3                    Alt-Clr        EC31864 00122490
         SPACE                                                          00123000
DM1528I  EADSNODE ESC,GOTO,DM28E                                        00124000
*        catch single character changes for the re-wire.                00125000
         EADSNODE DC2,CALL,BTAB                                         00126000
         EADSNODE NAK,CALL,NL                                           00127000
         EADSNODE SYN,CALL,INSRT                                        00128000
         EADSNODE GS,CALL,EEOF                                          00129000
*        Sytek's dial-ups use x01 as a cmd introducer, need alt PF7     00130190
*        Erase Input is the least valuable key to steal.                00130380
         EADSNODE VT,CALL,PFK7                                DM1528X1  00130570
         EADSNODE SI,CALL,PA1                                           00131000
         EADSNODE SO,CALL,PA2                                           00132000
         EADSNODE INDEX,GOTO,DM28PFKS,PFK1   find the key of interest   00133000
         EADSNODE NULL,CALL,ATTN             go perform it's action     00134000
*        go act like a DM1521 now.                                      00135000
         EADSNODE OTHERS,GOTO,DM1520I                                   00136000
         SPACE                                                          00137000
DM28PFKS EADSCSS ETB,CAN,SUB,EOT,WRU,ACK,SOH,STX,ETX,DC4,DLE,RS         00138000
         SPACE                                                          00139000
DM28E    DS    0H                                                       00140000
         EADSNODE SI,CALL,DPFM,DUP                                      00141000
         EADSNODE SO,CALL,DPFM,FM                                       00142000
         EADSNODE HT,CALL,COLTAB                                        00143000
         EADSNODE FS,CALL,COLTAB                              DM1528X1  00143500
         EADSNODE DC2,CALL,COLBAK                                       00144000
         EADSNODE BS,CALL,COLBAK                              DM1528X1  00144300
         EADSNODE VT,CALL,PFK19                               DM1528X1  00144600
         EADSNODE ACCENT,GOTO,DM28SET                                   00145000
         EADSNODE INDEX,GOTO,DM28PFKS,PFK13  find the key of interest   00146000
         EADSNODE NULL,CALL,ATTN             go perform it's action     00147000
*        go act like a DM1521CU now.                                    00148000
*        EADSNODE LCZ,CALL,TREQ              stnd 'ESC z' for TREQ      00149000
         EADSNODE OTHERS,GOTO,DMESCCU                                   00150000
         SPACE                                                          00151000
DM28SET  EADSNODE BS,CALL,SETMRG                                        00152000
         EADSNODE OTHERS,GOTO,DMSET                                     00153000
         TITLE   'GIGI - A Color capable VT100'                         00154000
GIGI     EADSTERM VT100ICU,CSSVT100,ORIGIN=1,FLAGS=X'0C00',SGR=GIGISGR  00155490
         TITLE 'HEATH19 - Heathkit/Zenith 19, VT52 family'              00156000
HEATH19  EADSTERM VT52I                                                 00157000
         EADSCSS EQU=CSS_RPS1                    POSITION               00158000
         EADSCSS EQU=CSS_EEL1                    ERASE EOL              00159000
         EADSCSS EQU=CSS_NULL                    local print            00160000
         EADSCSS EQU=CSS_BEL                     TONE                   00161000
         EADSCSS EQU=CSS_BS                      CURSOR LEFT            00162000
         EADSCSS EQU=CSS_CRR2                    CURSOR RIGHT           00163000
         EADSCSS EQU=CSS_NULL  7171 doesn't use  CURSOR UP              00164000
         EADSCSS EQU=CSS_NULL  7171 doesn't use  CURSOR DOWN            00165000
         EADSCSS ESC,LCX,@4                      SIGNAL INSERT MODE     00166000
         EADSCSS ESC,LCY,@4                      SIGNAL END INSERT MODE 00167000
         EADSCSS EQU=CSS_NULL                    DISCONNECT             00168000
         EADSCSS EQU=CSS_CLR1                    CLEAR                  00169000
         EADSCSS ESC,H,ESC,J,ESC,EQUAL,ESC,LCY,@4      Init             00170000
*                home  eeos  alt-key                                    00171000
*        PU used the following which appears to be undocumented in      00172000
*        the IBMPC Kermit, so it is not clear if these are standard     00173000
*        H19/Z19 defined sequences or not...                            00174000
*        EADSCSS NULL,LBRACK,QUESTION,@2,LCH,NULL,LCT,NULL,EQUAL,      *00175000
               NULL,LCX,@1,NULL,LCX,@4,NULL                             00176000
         EADSCSS EQU=CSS_COLO                    ILLEGAL CHARACTER      00177000
         EADSCSS EQU=CSS_NULL                    APL ILLEGAL CHARACTER  00178000
         EADSCSS EQU=CSS_NULL                    APL chars ON           00179000
         EADSCSS EQU=CSS_NULL                    APL chars OFF          00180000
         EADSCSS EQU=CSS_NULL                    display mode           00181000
         EADSCSS EQU=CSS_CLR1                    Alt-Clr        EC31864 00182990
         TITLE   'MACTERM - MacIntosh running MACTERM VT100 emulation'  00184000
MACTERM  EADSTERM MACI,CSSVT100,ORIGIN=1,FLAGS=X'0C00',RCHRS=MACRCHRS   00185490
         SPACE                                                          00186000
* MACTERM INPUT PARSE TABLES                                            00187000
MACI     EADSNODE ESC,GOTO,MACE                                         00188000
         EADSNODE BS,CALL,LEFT                                          00189000
         EADSNODE SYN,CALL,LEFT                  CTRL-V                 00190000
         EADSNODE STX,CALL,RIGHT                                        00191000
         EADSNODE CAN,CALL,UP                                           00192000
         EADSNODE ETX,CALL,DOWN                                         00193000
*        go act like a normal VT100CU                                   00194000
         EADSNODE OTHERS,GOTO,VT100ICU                                  00195000
         SPACE                                                          00196000
MACE     EADSNODE ESC,GOTO,MACEE                                        00197000
         EADSNODE CAN,CALL,HOME                                         00198000
*        EADSNODE LCZ,CALL,TREQ              stnd 'ESC z' for TREQ      00199000
*        go act like a normal VT100CU                                   00200000
         EADSNODE OTHERS,GOTO,VTECU                                     00201000
         SPACE                                                          00202000
MACEE    EADSNODE O,GOTO,MACEEO                                         00203000
*        go act like a normal VT100                                     00204000
         EADSNODE OTHERS,GOTO,VTEE                                      00205000
         SPACE                                                          00206000
MACEEO   EADSNODE A,CALL,HOME                                           00207000
*        go act like a normal VT100                                     00208000
         EADSNODE OTHERS,GOTO,VTEEO                                     00209000
         TITLE 'MAC71 - Tom Dimock''s reworked MAC support'             00212000
MAC71    EADSTERM DM1528I,RCHRS=DM28RCHR,FLAGS=X'0800',SGR=MAC71SGR     00215000
         EADSCSS RS,(BINX),(BINY)                 Position              00218000
         EADSCSS GS                               Erase EOL             00221000
         EADSCSS VT                               Local Print           00224000
         EADSCSS EQU=CSS_BEL                      Tone                  00227000
         EADSCSS EQU=CSS_BS                       Cursor Left           00230000
         EADSCSS FS                               Cursor Right          00233000
         EADSCSS EQU=CSS_NULL  7171 doesn't use   Cursor Up             00236000
         EADSCSS EQU=CSS_NULL  7171 doesn't use   Cursor Down           00239000
*        Turn the PRint light on and off for insert mode.               00242000
         EADSCSS SO                               Signal Insert Mode    00245000
         EADSCSS SI                               Signal End Insert     00248000
*        Pad disconnect seq so Sytek writes all LOGOFF msgs.            00251000
         EADSCSS EQU=CSS_DELS                     Disconnect            00254000
         EADSCSS EQU=CSS_CLR3                     Clear           VP60  00257990
*        Turn PRint (insert flag) light off too.                        00260000
         EADSCSS FF,SI                            Init                  00263000
         EADSCSS EQU=CSS_COLO                    ILLEGAL CHARACTER      00266000
         EADSCSS LCN,BS,LCZ                      APL ILLEGAL CHARACTER  00269000
         EADSCSS EQU=CSS_NULL                    APL chars ON           00272000
         EADSCSS EQU=CSS_NULL                    APL chars OFF          00275000
         EADSCSS (BINFLD)                        display mode           00278000
         EADSCSS EQU=CSS_CLR3                    Alt-Clr        EC31864 00281990
         SPACE ,                                                        00284000
         TITLE   'CYBERNEX - VT100 LOOK-A-LIKE'                         00298590
CYBERNEX EADSTERM XM1I,ORIGIN=1,FLAGS=X'0C00'                   EC31864 00299570
         EADSCSS EQU=CSS_RPS2                    POSITION               00300000
         EADSCSS EQU=CSS_EEL2                    ERASE EOL              00301000
         EADSCSS EQU=CSS_NULL                    local print            00302000
         EADSCSS EQU=CSS_BEL                     TONE                   00303000
         EADSCSS EQU=CSS_BS                      CURSOR LEFT            00304000
         EADSCSS EQU=CSS_CRR1                    CURSOR RIGHT           00305000
         EADSCSS EQU=CSS_NULL  7171 doesn't use  CURSOR UP              00306000
         EADSCSS EQU=CSS_NULL  7171 doesn't use  CURSOR DOWN            00307000
*        next two strings changed from stnd VT100 seq.                  00308000
         EADSCSS ESC,A,I,N,S,E,R,T,CR            SIGNAL INSERT MODE     00309000
         EADSCSS ESC,A,CR                        SIGNAL END INSERT MODE 00310000
         EADSCSS EQU=CSS_NULL                    DISCONNECT             00311000
         EADSCSS EQU=CSS_CLR2                    CLEAR                  00312000
         EADSCSS ESC,EQUAL,ESC,LESS,XX           Init                   00313000
         EADSCSS XX,ESC,LBRACK,H,ESC,LBRACK,J,XX                        00314000
         EADSCSS XX,ESC,LBRACK,QUESTION,@1,LCH,XX                       00315000
         EADSCSS XX,ESC,LBRACK,QUESTION,@3,SEMI,@6,SEMI,@7,@1,XX        00316000
         EADSCSS XX,ESC,LBRACK,@2,@0,@1,XX                              00317000
         EADSCSS XX,ESC,LBRACK,@0,LCQ,XX                                00318000
         EADSCSS XX,ESC,LBRACK,@0,LCM,XX                                00319000
*        added next string to standard VT100 seq.                       00320000
         EADSCSS XX,ESC,LBRACK,QUESTION,@3,@1,LCH                       00321000
         EADSCSS EQU=CSS_COLO                    ILLEGAL CHARACTER      00322000
         EADSCSS EQU=CSS_NULL                    APL ILLEGAL CHARACTER  00323000
         EADSCSS EQU=CSS_NULL                    APL chars ON           00324000
         EADSCSS EQU=CSS_NULL                    APL chars OFF          00325000
         EADSCSS EQU=CSS_DSP1                    display mode           00326000
         EADSCSS EQU=CSS_CLR2                    Alt-Clr        EC31864 00327490
         SPACE                                                          00328000
XM1I     EADSNODE ESC,GOTO,XM1E                                         00329000
         EADSNODE BS,CALL,LEFT                                          00330000
         EADSNODE HT,CALL,TAB                                           00331000
         EADSNODE CR,CALL,NL                                            00332000
         EADSNODE LF,CALL,INSRT                                         00333000
*        go act like a normal VT100                                     00334000
         EADSNODE OTHERS,GOTO,VT100I                                    00335000
         SPACE                                                          00336000
XM1E     EADSNODE ESC,GOTO,XM1EE                                        00337000
         EADSNODE LBRACK,GOTO,XM1ELBK                                   00338000
         EADSNODE O,GOTO,XM1EO                                          00339000
         EADSNODE HT,CALL,COLTAB                                        00340000
*        go act like a normal VT100                                     00341000
         EADSNODE OTHERS,GOTO,VTE                                       00342000
         SPACE                                                          00343000
XM1EO    EADSNODE M,CALL,ENTER                                          00344000
         EADSNODE T,CALL,BTAB                                           00345000
         EADSNODE N,CALL,EEOF                                           00346000
         EADSNODE U,CALL,PA1                                            00347590
         EADSNODE V,CALL,PA2                                            00348180
         EADSNODE E,CALL,TREQ                                           00349000
         EADSNODE K,CALL,DPFM,DUP                                       00350690
         EADSNODE L,CALL,DPFM,FM                                        00351380
         EADSNODE INDEX,GOTO,XM1PFKS1,PFK1  FIND THE KEY OF INTEREST    00352070
         EADSNODE NULL,CALL,ATTN             go perform it's action     00353000
         EADSNODE G,CALL,CLEAR                                          00354590
         EADSNODE INDEX,GOTO,XM1PFKS,PFK13   FIND THE KEY OF INTEREST   00355180
         EADSNODE NULL,CALL,ATTN             go perform it's action     00356000
*        act like a normal VT100                                        00357000
         EADSNODE OTHERS,GOTO,VTEO                                      00358000
         SPACE                                                          00359000
XM1PFKS  EADSCSS P,Q,R,S,LCF,LCG,LCH,LCI,LCJ,LCK,LCM,LCO                00360000
XM1PFKS1 EADSCSS LCW,LCX,LCY,LCT,LCU,LCV,LCQ,LCR,LCS,LCP,LCN,LCL        00361000
         SPACE                                                          00362000
XM1EE    EADSNODE O,GOTO,XM1EEO                                         00363000
         EADSNODE LBRACK,GOTO,XM1EELBK                                  00364000
*        act like a normal VT100                                        00365000
         EADSNODE OTHERS,GOTO,VTEE                                      00366000
         SPACE                                                          00367000
XM1EELBK EADSNODE J,CALL,CLRTAB                                         00368000
         EADSNODE H,CALL,SETHOM                                         00369000
         EADSNODE SEQENDER,GOTO,*                                       00370000
         SPACE                                                          00371000
XM1ELBK  EADSNODE J,CALL,CLEAR                                          00372000
         EADSNODE H,CALL,HOME                                           00373000
         EADSNODE K,CALL,EINP                                           00374000
         EADSNODE SEQENDER,GOTO,*                                       00375000
         SPACE                                                          00376000
XM1EEO   EADSNODE T,CALL,COLBAK                                         00377000
*        act like a normal VT100                                        00378000
         EADSNODE OTHERS,GOTO,VTEEO                                     00379000
         TITLE 'VP60 - ADDS Viewpoint 60'                         VP60  00402010
*        Defined for the University of Rhode Island.              VP60  00402020
*        Try to act as much as possible like a DM1521.            VP60  00402030
VP60     EADSTERM VP60I                                           VP60  00402040
         EADSCSS EQU=CSS_RPS1                    POSITION         VP60  00402050
         EADSCSS EQU=CSS_EEL1                    ERASE EOL        VP60  00402060
         EADSCSS ESC,X                           LOCAL PRINT      VP60  00402070
         EADSCSS EQU=CSS_BEL                     TONE             VP60  00402080
         EADSCSS NAK                             CURSOR LEFT      VP60  00402090
         EADSCSS ACK                             CURSOR RIGHT     VP60  00402100
         EADSCSS EQU=CSS_NULL  7171 doesn't use  CURSOR UP        VP60  00402110
         EADSCSS EQU=CSS_NULL  7171 doesn't use  CURSOR DOWN      VP60  00402120
         EADSCSS EQU=CSS_NULL                    SIGNAL INSERT MODVP60  00402130
         EADSCSS EQU=CSS_NULL                    SIGNAL END INSERTVP60  00402140
         EADSCSS EQU=CSS_NULL                    DISCONNECT       VP60  00402150
         EADSCSS EQU=CSS_CLR3                    CLEAR            VP60  00402160
         EADSCSS EQU=CSS_CLR3                    INIT             VP60  00402170
         EADSCSS EQU=CSS_COLO                    ILLEGAL CHARACTERVP60  00402180
         EADSCSS EQU=CSS_NULL                    APL ILLEGAL CHARAVP60  00402190
         EADSCSS EQU=CSS_NULL                    APL chars ON     VP60  00402200
         EADSCSS EQU=CSS_NULL                    APL chars OFF    VP60  00402210
         EADSCSS EQU=CSS_NULL                    DISPLAY MODE     VP60  00402220
         EADSCSS EQU=CSS_CLR3                    Alt-Clr        EC31864 00402235
VP60I    EADSNODE ESC,GOTO,VP60ESC                                VP60  00402240
         EADSNODE CR,CALL,ENTER                  RETURN           VP60  00402250
         EADSNODE BS,CALL,LEFT                                    VP60  00402260
         EADSNODE LF,CALL,DOWN                                    VP60  00402270
         EADSNODE DEL,CALL,DELETE                                 VP60  00402280
         EADSNODE HT,CALL,TAB                                     VP60  00402290
         EADSNODE NAK,CALL,LEFT                                   VP60  00402300
         EADSNODE ACK,CALL,RIGHT                                  VP60  00402310
         EADSNODE SUB,CALL,UP                                     VP60  00402320
         EADSNODE LF,CALL,DOWN                                    VP60  00402330
         EADSNODE SEQENDER,GOTO,*                                 VP60  00402340
VP60ESC  EADSNODE DEL,CALL,EEOF                                   VP60  00402350
         EADSNODE TAB,CALL,BTAB                                   VP60  00402360
         EADSNODE G,CALL,EINP                                     VP60  00402370
         EADSNODE CR,CALL,NL                                      VP60  00402380
         EADSNODE X,CALL,LPRT                                     VP60  00402390
         EADSNODE M,CALL,CLEAR                                    VP60  00402400
*        try to support as many as possible of the stnd pf keys   VP60  00402410
         EADSNODE OTHERS,GOTO,TYPPFK                              VP60  00402420
*        This terminal def is based upon PU's Dec VT52 def.             00403000
*        Access to a REAL VT52 was not possible to verify this def,     00404000
*        A VT100 in VT52 mode was used to perform verification.         00405000
VT52     EADSTERM VT52I                                                 00406000
         EADSCSS EQU=CSS_RPS1                    POSITION               00407000
         EADSCSS EQU=CSS_EEL1                    ERASE EOL              00408000
         EADSCSS EQU=CSS_NULL                    local print            00409000
         EADSCSS EQU=CSS_BEL                     TONE                   00410000
         EADSCSS EQU=CSS_BS                      CURSOR LEFT            00411000
         EADSCSS EQU=CSS_CRR2                    CURSOR RIGHT           00412000
         EADSCSS EQU=CSS_NULL  7171 doesn't use  CURSOR UP              00413000
         EADSCSS EQU=CSS_NULL  7171 doesn't use  CURSOR DOWN            00414000
         EADSCSS EQU=CSS_NULL                    SIGNAL INSERT MODE     00415000
         EADSCSS EQU=CSS_NULL                    SIGNAL END INSERT MODE 00416000
         EADSCSS EQU=CSS_NULL                    DISCONNECT             00417000
         EADSCSS EQU=CSS_CLR1                    CLEAR                  00418000
*                HOME  EEOS                                             00419000
         EADSCSS ESC,H,ESC,J,ESC,EQUAL           Init                   00420000
*                home  eeos  alt-key                                    00421000
         EADSCSS EQU=CSS_COLO                    ILLEGAL CHARACTER      00422000
         EADSCSS EQU=CSS_NULL                    APL ILLEGAL CHARACTER  00423000
         EADSCSS EQU=CSS_NULL                    APL chars ON           00424000
         EADSCSS EQU=CSS_NULL                    APL chars OFF          00425000
         EADSCSS EQU=CSS_NULL                    display mode           00426000
         EADSCSS EQU=CSS_CLR1                    Alt-Clr        EC31864 00427490
         SPACE                                                          00428000
VT52I    EADSNODE ESC,GOTO,VT52ESC                                      00429000
         EADSNODE CR,CALL,ENTER                  RETURN                 00430000
         EADSNODE BS,CALL,HOME                                          00431000
         EADSNODE LF,CALL,NL                                            00432000
         EADSNODE DEL,CALL,DELETE                                       00433000
         EADSNODE HT,CALL,TAB                                           00434000
         EADSNODE SYN,CALL,RESHOW                CTRL-V                 00435000
         EADSNODE SEQENDER,GOTO,*                                       00436000
         SPACE                                                          00437000
*                                 FUNCTION PAD                          00438000
VT52ESC  EADSNODE A,CALL,UP                                             00439000
         EADSNODE B,CALL,DOWN                                           00440000
         EADSNODE C,CALL,RIGHT                                          00441000
         EADSNODE D,CALL,LEFT                                           00442000
         EADSNODE P,CALL,PFK1                                           00443000
         EADSNODE Q,CALL,PFK2                                           00444000
         EADSNODE R,CALL,PFK3                                           00445000
*        function key PF4 (on VT100 in compatability mode)              00446000
         EADSNODE S,CALL,PA1                                            00447000
         EADSNODE HT,CALL,BTAB                                          00448000
         EADSNODE ESC,GOTO,VT52EE                                       00449000
         EADSNODE ACCENT,GOTO,VT52EACC                                  00450000
*                                 SHIFT FUNCTION PAD                    00451000
         EADSNODE QUESTION,GOTO,VT52EQ                                  00452000
*        next 3 already appear in typpfk, no need to reproduce here     00453000
*        EADSNODE COMMA,CALL,PA1                                        00454000
*        EADSNODE PERIOD,CALL,PA2                                       00455000
*        EADSNODE SLASH,CALL,PA3                                        00456000
         EADSNODE DEL,CALL,EEOF                                         00457000
         EADSNODE LCZ,CALL,TREQ              stnd 'ESC z' for TREQ      00458000
*        EADSNODE SEQENDER,GOTO,*                                       00459000
*        try to support as many as possible of the stnd pf keys         00460000
         EADSNODE OTHERS,GOTO,TYPPFK                                    00461000
         SPACE                                                          00462000
VT52EE   EADSNODE A,CALL,INDENT                                         00463000
         EADSNODE B,CALL,UNDENT                                         00464000
         EADSNODE C,CALL,COLTAB                                         00465000
         EADSNODE D,CALL,COLBAK                                         00466000
         EADSNODE SEQENDER,GOTO,*                                       00467000
         SPACE                                                          00468000
VT52EQ   EADSNODE INDEX,GOTO,VT52PFK,PFK4    find the key of interest   00469000
         EADSNODE NULL,CALL,ATTN             go perform it's action     00470000
*        function pad - (on VT100 in compatability mode)                00471000
         EADSNODE LCM,CALL,PA2                                          00472000
*        function pad , (on VT100 in compatability mode)                00473000
         EADSNODE LCL,CALL,PA3                                          00474000
         EADSNODE LCN,CALL,INSRT                                        00475000
         EADSNODE M,CALL,CLEAR                                          00476000
*        function pad 0 (on VT100 in compatability mode)                00477000
         EADSNODE LCP,GOTO,VT52_0            function introducer        00478000
         EADSNODE SEQENDER,GOTO,*                                       00479000
VT52PFK  EADSCSS LCW,LCX,LCY,LCT,LCU,LCV,LCQ,LCR,LCS                    00480000
         SPACE                                                          00481000
VT52_0   EADSNODE ESC,GOTO,VT52_0E            'shifted' 'pf' key        00482000
         EADSNODE SEQENDER,GOTO,*                                       00483000
         SPACE                                                          00484000
VT52_0E  EADSNODE QUESTION,GOTO,VT52_0EQ      'shifted' 'pf' key        00485000
         EADSNODE P,CALL,PFK13                                          00486000
         EADSNODE Q,CALL,PFK14                                          00487000
         EADSNODE R,CALL,PFK15                                          00488000
         EADSNODE SEQENDER,GOTO,*                                       00489000
         SPACE                                                          00490000
VT52_0EQ EADSNODE INDEX,GOTO,VT52PFK,PFK16   find the key of interest   00491000
         EADSNODE NULL,CALL,ATTN             go perform it's action     00492000
         EADSNODE SEQENDER,GOTO,*                                       00493000
         SPACE                                                          00494000
VT52EACC EADSNODE LF,CALL,SETMRG                                        00495000
         EADSNODE OTHERS,GOTO,COMSET                                    00496000
         TITLE 'ZENITH19 - Heathkit/Zenith-19, VT52 family'             00497000
ZENITH19 EQU   HEATH19                                                  00498000
         TITLE 'LOCAL EQUATES AND OTHER THINGS'                         00499000
         TITLE 'MODIFICATION TO STANDARD IBM TABLES'                    00500000
ADM3ACU  EQU  ADM3A                                                     00501000
ADM31CU  EQU  ADM31                                                     00502000
         EJECT                                                          00503000
*M1520CU EQU  DM1520                                                    00504000
DM1520CU EADSTERM  DM15ICU,CSSDM1520                            EC31864 00505490
         EJECT                                                          00506000
DM1521CU EADSTERM  DM15ICU,DM1528                                       00507000
DM15ICU  EADSNODE ESC,GOTO,DMESCCU                                      00508000
         EADSNODE OTHERS,GOTO,DM1520I        go act like a DM1520/1521  00509000
DMESCCU  EADSNODE LCZ,CALL,TREQ              stnd 'ESC z' for TREQ      00510000
         EADSNODE OTHERS,GOTO,DMESC          go act like a DM1520/1521  00511000
         EJECT                                                          00512000
DM3045CU EQU  DM3045                                                    00513000
         EJECT                                                          00514000
HARDCOCU EADSTERM  HARDI,FLAGS=X'8000'                                  00515000
         EADSCSS (HARDCOPY)                      POSITION               00516000
         EADSCSS EQU=CSS_NULL                    ERASE EOL              00517000
         EADSCSS EQU=CSS_NULL                    local print            00518000
         EADSCSS EQU=CSS_BEL                     TONE                   00519000
         EADSCSS EQU=CSS_BS                      CURSOR LEFT            00520000
         EADSCSS BLANK                           CURSOR RIGHT           00521000
         EADSCSS EQU=CSS_NULL  7171 doesn't use  CURSOR UP              00522000
         EADSCSS EQU=CSS_NULL  7171 doesn't use  CURSOR DOWN            00523000
         EADSCSS EQU=CSS_NULL                    SIGNAL INSERT MODE     00524000
         EADSCSS EQU=CSS_NULL                    SIGNAL END INSERT MODE 00525000
         EADSCSS EQU=CSS_NULL                    DISCONNECT             00526000
*                next changed from CR,LF,LF,LF                          00527000
         EADSCSS CR,LF                           CLEAR                  00528000
         EADSCSS CR,FF                           Init                   00529000
         EADSCSS EQU=CSS_COLO                    ILLEGAL CHARACTER      00530000
         EADSCSS LCN,BS,LCZ                      APL ILLEGAL CHARACTER  00531000
         EADSCSS EQU=CSS_NULL                    APL chars ON           00532000
         EADSCSS EQU=CSS_NULL                    APL chars OFF          00533000
         EADSCSS EQU=CSS_NULL                    display mode           00534000
         EADSCSS CR,LF                           Alt-Clr        EC31864 00535490
         SPACE                                                          00536000
HARDI    EADSNODE ESC,GOTO,HARDESC                                      00537000
         EADSNODE OTHERS,GOTO,HCPYI                                     00538000
         SPACE                                                          00539000
HARDESC  EADSNODE DEL,CALL,CLEAR                                        00540000
         EADSNODE ACCENT,GOTO,HARDEACC                                  00541000
         EADSNODE OTHERS,GOTO,*                                         00542490
         SPACE                                                          00543000
HARDEACC EADSNODE PERIOD,CALL,DISC                                      00544000
         EADSNODE SEQENDER,GOTO,*                                       00545000
         EJECT                                                          00546000
*BM310CU EQU  IBM3101                                                   00547000
IBM310CU EADSTERM IBM31ICU,CSSIBM3101                           EC31864 00548490
IBM31ICU EADSNODE ESC,GOTO,IBM31ECU                                     00549000
         EADSNODE OTHERS,GOTO,IBM3101I       go act like a IBM3101      00550000
IBM31ECU EADSNODE LCZ,CALL,TREQ              stnd 'ESC z' for TREQ      00551000
         EADSNODE OTHERS,GOTO,IBMESC         go act like a IBM3101      00552000
         EJECT                                                          00553000
PLOTTECU EQU  PLOTTER                                                   00554000
ROLM32CU EQU  ROLM3270                                          EC31864 00554500
TERMTYCU EQU  TYPETERM                                                  00555000
TVI912CU EQU  TVI912                                                    00556000
TVI920CU EQU  TVI920                                                    00557000
TVI950CU EQU  TVI950                                                    00558000
TVI95RCU EQU  TVI950R                                                   00559000
         EJECT                                                          00560000
*T100CU  EQU  VT100                                                     00561000
VT100CU  EADSTERM VT100ICU,CSSVT100,ORIGIN=1,FLAGS=X'0C00'      EC31864 00562490
VT100ICU EADSNODE ESC,GOTO,VTECU                                        00563000
         EADSNODE OTHERS,GOTO,VT100I         go act like a VT100        00564000
VTECU    EADSNODE LCZ,CALL,TREQ              stnd 'ESC z' for TREQ      00565000
         EADSNODE OTHERS,GOTO,VTE            go act like a VT100        00566000
         TITLE 'TRANSLATE VECTOR AND TABLES'                            00567000
         END                                                            00568000
